<?php
namespace Models;

// Модель Категорий товаров
class Productcategories extends \DB\SQL\Mapper {
	public $db;

	public function __construct($db) {
		parent::__construct($db, 'productcategories' ); // подключаемся к таблице категорий товаров
		$this->db=$db;
	}

	// Сохранение категории товаров
	function save_category($data, $action='add') {
		if(!isset($data['title'])) {
			return array(
				'success'=>false,
				'txt'=>'not_enough_data'
			);
		}

		$this->reset();
		if($action=='change' && $data['id']) {
			$this->load(array('id=?', $data['id']));
		}

		$this->copyFrom($data);
		$this->save();
		if($this->dry()) {
			return array(
				'success'=>false,
				'txt'=>'db_error'
			);
		}
		$this->reset();
		return array(
			'success'=>true,
			'txt'=>'save_successful'
		);
	}
}